summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAntti Jarvinen <antti.jarvinen@katiska.org>2018-08-04 22:52:32 +0000
committerMichał Górny <mgorny@gentoo.org>2018-08-18 09:19:12 +0200
commitd7387b73805b029b1c7295ae1ada6568b4f8de3e (patch)
treeaad071c2b95f60aba017a51ffac60cf058ec5c19 /net-p2p
parentmedia-libs/mesa: Depend on x11-libs/libXrandr[${MULTILIB_USEDEP}] (diff)
downloadgentoo-d7387b73805b029b1c7295ae1ada6568b4f8de3e.tar.gz
gentoo-d7387b73805b029b1c7295ae1ada6568b4f8de3e.tar.bz2
gentoo-d7387b73805b029b1c7295ae1ada6568b4f8de3e.zip
net-p2p/classified-ads: version bump to 0.13
EAPI=7 for the new upstream version. Patches of 0.12 removed because upstream has changes included. Closes: https://bugs.gentoo.org/661338 Closes: https://github.com/gentoo/gentoo/pull/9449 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'net-p2p')
-rw-r--r--net-p2p/classified-ads/Manifest2
-rw-r--r--net-p2p/classified-ads/classified-ads-0.13.ebuild82
2 files changed, 84 insertions, 0 deletions
diff --git a/net-p2p/classified-ads/Manifest b/net-p2p/classified-ads/Manifest
index adb21be0651..63de332de30 100644
--- a/net-p2p/classified-ads/Manifest
+++ b/net-p2p/classified-ads/Manifest
@@ -1,4 +1,6 @@
DIST classified-ads-0.11.tar.gz 2528877 BLAKE2B a2e9bfe2acdf9e95cd6e7246ca50525fdfbaf8b11b8fac41faa7c8fe01db7a4cf1055a69b4cf9168bbce7e7e25438b44d57a50669c3c406015df357c20e9106d SHA512 29e1af0eac079201354364959af8dc606f4d7595fe4e8013212c4e5b30622d095e2beaeeadce350974ef32680329664ad37aae575c103fa052345acf0a49ed04
DIST classified-ads-0.12.tar.gz 2639300 BLAKE2B 09822a4908e3a34fbd00af60effa53c437e1e32cb1821c0041ca0cb87f4deb74ba79603c5d5aa5fe37384f2bc32f2ccd2979711c2de1e2864361904e62e2de26 SHA512 cbcd3f40cd9003b840b1305361f93c901b073c653f610e46154e8ff1db92167ce77aafe5179168d7403fed7b22fab60cadfc8c1fc95ebe37a4f7ffc616b66929
+DIST classified-ads-0.13.tar.gz 2656104 BLAKE2B d02f723d7371abc2a8c0a6bfde300c8a4f16e5fcc43a17c5d8b8cce4ab21371df82b734e5813ebded6672e8448b7e8ee19c68836926dcc7af1824bfa173de0ef SHA512 7b6114705ac5867223e4e74c13aad47a4a38c24cd5e062e50dd7c0a5829ff011151a93562b1a5ab37f04fe3d6a93258e9ca4845748bbb02db882818284fe4a3a
DIST classified-ads-graphics-0.11.tar.gz 340476 BLAKE2B c9bac95f0e620a671959f0eb8c719cd70be5c9340ccb3bc3baa7eae669b5201d3127880b9006a4031e09be09e72754c8ec07824b3581e3af691c3944d5b32d21 SHA512 c59f65f37a8e4dddb753dbcdec835e946d9de021c5273319b3cd95ef1c3343715ce4b87d76b2d96264acc791a6cced32967521c74978131bd76fbcfc37bb344d
DIST classified-ads-graphics-0.12.tar.gz 340476 BLAKE2B c9bac95f0e620a671959f0eb8c719cd70be5c9340ccb3bc3baa7eae669b5201d3127880b9006a4031e09be09e72754c8ec07824b3581e3af691c3944d5b32d21 SHA512 c59f65f37a8e4dddb753dbcdec835e946d9de021c5273319b3cd95ef1c3343715ce4b87d76b2d96264acc791a6cced32967521c74978131bd76fbcfc37bb344d
+DIST classified-ads-graphics-0.13.tar.gz 340476 BLAKE2B c9bac95f0e620a671959f0eb8c719cd70be5c9340ccb3bc3baa7eae669b5201d3127880b9006a4031e09be09e72754c8ec07824b3581e3af691c3944d5b32d21 SHA512 c59f65f37a8e4dddb753dbcdec835e946d9de021c5273319b3cd95ef1c3343715ce4b87d76b2d96264acc791a6cced32967521c74978131bd76fbcfc37bb344d
diff --git a/net-p2p/classified-ads/classified-ads-0.13.ebuild b/net-p2p/classified-ads/classified-ads-0.13.ebuild
new file mode 100644
index 00000000000..ecb91cfc86f
--- /dev/null
+++ b/net-p2p/classified-ads/classified-ads-0.13.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit qmake-utils virtualx
+
+DESCRIPTION="Program for displaying classified advertisement items"
+HOMEPAGE="http://katiska.org/classified-ads/"
+SRC_URI="https://github.com/operatornormal/classified-ads/archive/${PV}.tar.gz
+ -> classified-ads-${PV}.tar.gz
+ https://github.com/operatornormal/classified-ads/blob/graphics/preprocessed.tar.gz?raw=true
+ -> classified-ads-graphics-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc test"
+
+RDEPEND="app-arch/bzip2
+ dev-lang/tcl:=
+ dev-lang/tk:=
+ dev-libs/openssl:0
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtwidgets:5
+ media-libs/opus
+ net-libs/libnatpmp
+ net-libs/miniupnpc
+ sys-apps/file
+ sys-libs/zlib
+ virtual/libintl"
+
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ doc? ( app-doc/doxygen[dot] )
+ test? ( dev-libs/libgcrypt:0
+ dev-qt/qttest:5
+ sys-devel/gdb:0 )"
+
+src_prepare() {
+ # preprocessed graphics are unpacked into wrong directory
+ # so lets move them into correct location:
+ mv ../ui/* ui/ || die
+ # possible patches
+ eapply_user
+}
+
+src_configure() {
+ eqmake5
+ if use test; then
+ cd testca || die
+ eqmake5
+ fi
+}
+
+src_compile() {
+ emake
+ if use doc; then
+ pushd doc > /dev/null || die
+ doxygen || die
+ popd > /dev/null || die
+ fi
+ if use test; then
+ emake -C testca
+ fi
+}
+
+src_test() {
+ # testca will return 0 if all unit tests pass
+ virtx ./testca/testca
+}
+
+src_install() {
+ docompress -x /usr/share/doc/
+ emake install INSTALL_ROOT="${D}" DESTDIR="${D}"
+ use doc && dodoc -r doc/doxygen.generated/html/.
+}